MultiBrick.cpp File Reference
`#include <ripley/MultiBrick.h>`
`#include <ripley/blocktools.h>`
`#include <ripley/domainhelpers.h>`
`#include <escript/DataFactory.h>`
`#include <escript/FunctionSpaceFactory.h>`
`#include <escript/index.h>`
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`

## Namespaces

| ripley

## Macros

#define | FIRST_QUAD 0.21132486540518711775
#define | SECOND_QUAD 0.78867513459481288225
#define | globalNodeId(x, y, z)

## Functions

int | ripley::indexOfMax (dim_t a, dim_t b, dim_t c)

## Macro Definition Documentation

## FIRST_QUAD

#define FIRST_QUAD 0.21132486540518711775

Referenced by ripley::MultiBrick::interpolateElementsToElementsCoarserWorker(), ripley::MultiBrick::interpolateElementsToElementsFinerWorker(), and ripley::MultiBrick::interpolateNodesToElementsFinerWorker().

## globalNodeId

#define globalNodeId | ( |  | x,
|  |  | y,
|  |  | z
| ) |  |

Value:
((m_offset[0]+x)/nDOF0)*nDOF0*nDOF1*nDOF2+(m_offset[0]+x)%nDOF0\
+ ((m_offset[1]+y)/nDOF1)*nDOF0*nDOF1*nDOF2*m_NX[0]+((m_offset[1]+y)%nDOF1)*nDOF0\
+ ((m_offset[2]+z)/nDOF2)*nDOF0*nDOF1*nDOF2*m_NX[0]*m_NX[1]+((m_offset[2]+z)%nDOF2)*nDOF0*nDOF1

Referenced by ripley::MultiBrick::populateSampleIds().

## SECOND_QUAD

#define SECOND_QUAD 0.78867513459481288225

Referenced by ripley::MultiBrick::interpolateElementsToElementsCoarserWorker(), ripley::MultiBrick::interpolateElementsToElementsFinerWorker(), and ripley::MultiBrick::interpolateNodesToElementsFinerWorker().